#! perl

use strict;
use warnings;

use Test::More tests => 3;

use_ok( 'PPI::Tiny' ) or exit;

my $doc = "#!/usr/bin/perl\nsome program\n";
isa_ok( PPI::Tiny->new( $doc ), 'PPI::Tiny' );

is( PPI::Tiny->new( 'not a Perl program' ), undef,
    'PPI::Tiny should not report non-programs as programs' );

